Name:           ezstream
Version:        0.5.3
Release:        1%{?dist}
Summary:        Command line source client for Icecast media streaming servers

Group:          Applications/Multimedia
License:        GPLv2
URL:            http://www.icecast.org/ezstream.php
Source0:        http://downloads.xiph.org/releases/ezstream/ezstream-%{version}.tar.gz
# Patch0 gets rid of the unnecessary installation of documentation that we do ourselves anyway.
Patch0:         ezstream-stop-weird-installs.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libogg-devel libvorbis-devel taglib-devel libshout-devel libxml2-devel

%description
Ezstream is a command line source client for Icecast media streaming servers.
It began as the successor of the old "shout" utility, and has since gained a
lot of useful features.

In its basic mode of operation, it streams media files or data from standard
input without reencoding and thus requires only very little CPU resources. It
can also use various external decoders and encoders to reencode from one format
to another, and stream the result to an Icecast server. Additional features
include scriptable playlist and metadata handling. All of its features make
ezstream a very flexible source client.

Supported media formats for streaming are MP3, Ogg Vorbis and Ogg Theora.
Native metadata support includes MP3 (ID3v1 only) and Ogg Vorbis, and many more
formats when the optional TagLib support has been compiled in (which they are
for this package).

%prep
%setup -q
%patch0 -p1 -b .stop_weird_inst


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# spurious executable doc
chmod a-x examples/*


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/ezstream
# Why are we specifying each example instead of just adding the directory?
# If we do that, we get the Makefile stuff too, which is silly.
%doc COPYING NEWS README examples/ezstream_metadata.xml examples/ezstream_mp3.xml
%doc examples/ezstream_reencode_mp3.xml examples/ezstream_reencode_theora.xml
%doc examples/ezstream_reencode_vorbis.xml examples/ezstream_stdin_vorbis.xml
%doc examples/ezstream_vorbis.xml examples/meta.sh examples/play.sh
%doc %{_mandir}/man1/ezstream.1.gz



%changelog
* Sat Apr 05 2008 Ian Weller <ianweller@gmail.com> 0.5.3-1
- Initial package build.
